com.microfocus.zos.model

## Enum ERecallMethod

- java.lang.Object
- - java.lang.Enum<ERecallMethod>
  - - com.microfocus.zos.model.ERecallMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ERecallMethod>

      public enum ERecallMethod
      extends java.lang.Enum<ERecallMethod>

  Enumeration of recall methods (for recalling migrated z/OS Data Sets).
- WAIT
- NOWAIT
- NORECALL

Author:
  Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NORECALL`
    `NOWAIT`
    `WAIT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ERecallMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ERecallMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WAIT

          public static final ERecallMethod WAIT

    - #### NOWAIT

          public static final ERecallMethod NOWAIT

    - #### NORECALL

          public static final ERecallMethod NORECALL

  - ### Method Detail

    - #### values

          public static ERecallMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ERecallMethod c : ERecallMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ERecallMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.